Subject: Re: [Ntp] I-D Action: draft-ietf-ntp-using-nts-for-ntp-18.txt

From: Marcus Dansarie <[email-masked]>
Date: Wed, 1 May 2019 11:29:03 +0200

On 2019-05-01 02:02, Watson Ladd wrote:
> I do not read 5.7 as encouraging using multiple cookie placeholder
> fields to send a single cookie back. I actually misread the
> specification and thought it required the cookie extension to be
> longer then the cookie sent in response. Perhaps this should be
> rewarded to encourage the server to send the minimum of {1+cookies
> requested, 1+number of cookies that fit in total length of cookie
> placeholder fields}.

You are right in not reading 5.7 that way. There's no wording in there
suggesting that. What I described was a way that a client implementation
could resolve the situation.

What 5.7 currently says about this is "The number of NTS Cookie
extension fields included SHOULD be equal to, and MUST NOT exceed, one
plus the number of valid NTS Cookie Placeholder extension fields
included in the request." I think this, in essence, is saying the same
thing as what you suggest.

Kind regards,
Marcus

---

From: Watson Ladd <[email-masked]>
Date: Wed, 1 May 2019 10:33:20 -0700

> thing as what you suggest.

It certainly permits it, but it doesn't say you should include as many
cookies as you can without inflating the size. Maybe it should?
>
> Kind regards,
> Marcus
>
> _______________________________________________
> ntp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ntp